aboutsummaryrefslogtreecommitdiff
path: root/repos/extra/ports
diff options
context:
space:
mode:
Diffstat (limited to 'repos/extra/ports')
-rw-r--r--repos/extra/ports/.checksum2
-rw-r--r--repos/extra/ports/.files17
-rw-r--r--repos/extra/ports/abuild24
-rw-r--r--repos/extra/ports/git47
4 files changed, 90 insertions, 0 deletions
diff --git a/repos/extra/ports/.checksum b/repos/extra/ports/.checksum
new file mode 100644
index 00000000..f8a9fa52
--- /dev/null
+++ b/repos/extra/ports/.checksum
@@ -0,0 +1,2 @@
+83cf6e7bf64108834f25582091445c0855001ea10311a2a851f6429b4599ff00 git
+bec6bcdbfe47f332182fc4e85d877d60a46d1e264b34c0058cd0a6a8ff33d7a0 ports-1.6.tar.gz
diff --git a/repos/extra/ports/.files b/repos/extra/ports/.files
new file mode 100644
index 00000000..c4a6c54b
--- /dev/null
+++ b/repos/extra/ports/.files
@@ -0,0 +1,17 @@
+drwxr-xr-x root/root etc/
+drwxr-xr-x root/root etc/ports/
+-rw-r--r-- root/root etc/ports/core.git.new
+drwxr-xr-x root/root etc/ports/drivers/
+-rwxr-xr-x root/root etc/ports/drivers/git.new
+-rw-r--r-- root/root etc/ports/extra.git.new
+drwxr-xr-x root/root usr/
+drwxr-xr-x root/root usr/bin/
+-rwxr-xr-x root/root usr/bin/ports
+drwxr-xr-x root/root usr/ports/
+drwxr-xr-x root/root usr/share/
+drwxr-xr-x root/root usr/share/man/
+drwxr-xr-x root/root usr/share/man/man8/
+-rw-r--r-- root/root usr/share/man/man8/ports.8.gz
+drwxr-xr-x root/root var/
+drwxr-xr-x root/root var/lib/
+drwxr-xr-x root/root var/lib/repos/
diff --git a/repos/extra/ports/abuild b/repos/extra/ports/abuild
new file mode 100644
index 00000000..4d751b73
--- /dev/null
+++ b/repos/extra/ports/abuild
@@ -0,0 +1,24 @@
+name=ports
+version=1.6
+release=1
+source="https://crux.nu/files/tools/${name}/${name}-${version}.tar.gz
+ git"
+
+postbuild() {
+ install -m755 $SRC/git $PKG/etc/ports/drivers/git
+ sed -i 's,/usr/ports,/var/lib/repos,g' $PKG/usr/bin/ports
+ sed -i 's,collection,repo,g' $PKG/etc/ports/drivers/git
+ mkdir -p $PKG/var/lib/repos
+
+ for repo in core extra; do
+ echo "#
+# /etc/ports/$repo.git
+#
+
+URL=https://github.com/emmett1/alicelinux.git
+NAME=$repo
+BRANCH=$repo
+
+# End of file" > $PKG/etc/ports/$repo.git
+ done
+}
diff --git a/repos/extra/ports/git b/repos/extra/ports/git
new file mode 100644
index 00000000..654a8c77
--- /dev/null
+++ b/repos/extra/ports/git
@@ -0,0 +1,47 @@
+#!/bin/sh
+#
+# /etc/ports/drivers/git: git driver script for ports(8)
+#
+
+if [ $# -ne 1 ]; then
+ echo "usage: $0 <file>" >&2
+ exit 1
+fi
+
+. $1
+
+if [ -z "$URL" ]; then
+ echo "URL not set in '$1'" >&2
+ exit 2
+fi
+if [ -z "$NAME" ]; then
+ echo "NAME not set in '$1'" >&2
+ exit 2
+fi
+if [ -z "$BRANCH" ]; then
+ echo "BRANCH not set in '$1'" >&2
+ exit 2
+fi
+
+REPOSITORY="$PORTS_DIR/$NAME"
+if [ -n "$LOCAL_REPOSITORY" ]; then
+ REPOSITORY="$LOCAL_REPOSITORY"
+fi
+
+echo "Fetching updates from $URL"
+echo "Updating collection $NAME"
+
+cd "$REPOSITORY" 2> "/dev/null"
+
+if [ $? -lt 1 ]; then
+ git checkout -q "$BRANCH"
+ git fetch -q
+ git diff --pretty=format: --name-status "$BRANCH" origin/"$BRANCH" | sed "s/M\t/ Edit /g; s/A\t/ Checkout /g; s/D\t/ Delete /g" | sort
+ git clean -q -f
+ git reset -q --hard origin/"$BRANCH"
+else
+ git clone -q -b "$BRANCH" "$URL" "$REPOSITORY"
+ ls -1 $REPOSITORY | sed "s/^/ Checkout /"
+fi
+
+echo "Finished successfully"